Bug 1428913 - Review Request: php-sebastian-comparator2 - Compare PHP values for equality
Review Request: php-sebastian-comparator2 - Compare PHP values for equality
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On: 1428912
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-03 10:20 EST by Remi Collet
Modified: 2017-04-21 10:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-21 10:27:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randy: fedora‑review+


Attachments (Terms of Use)
review.txt (8.14 KB, text/plain)
2017-04-12 19:17 EDT, Randy Barlow
no flags Details

  None (edit)
Description Remi Collet 2017-03-03 10:20:31 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/phpunit/php-sebastian-comparator2/php-sebastian-comparator2.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-sebastian-comparator2-2.0.0-1.remi.src.rpm
Description: 
This component provides the functionality to compare PHP values for equality.

Fedora Account System Username: remi

-- for phpunit6
Comment 2 Randy Barlow 2017-04-12 19:17 EDT
Created attachment 1271290 [details]
review.txt
Comment 3 Randy Barlow 2017-04-12 19:20:12 EDT
fedora-review marked two things to fix in the must section, but I disagree that they are strict requirements so I'm passing the review. Suggestions to improve the spec file:

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
Comment 4 Gwyn Ciesla 2017-04-13 07:43:43 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-sebastian-comparator2
Comment 5 Fedora Update System 2017-04-13 08:25:18 EDT
php-sebastian-comparator2-2.0.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-608c81542b
Comment 6 Fedora Update System 2017-04-13 13:22:49 EDT
php-sebastian-comparator2-2.0.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-608c81542b
Comment 7 Fedora Update System 2017-04-21 10:27:06 EDT
php-sebastian-comparator2-2.0.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.